Vulnerability CVE-2018-3827


Published: 2018-09-19

Description:
A sensitive data disclosure flaw was found in the Elasticsearch repository-azure (formerly elasticsearch-cloud-azure) plugin. When the repository-azure plugin is set to log at TRACE level Azure credentials can be inadvertently logged.

Type:

CWE-255

(Credentials Management)

CVSS2 => (AV:N/AC:M/Au:N/C:P/I:N/A:N)

CVSS Base Score
Impact Subscore
Exploitability Subscore
4.3/10
2.9/10
8.6/10
Exploit range
Attack complexity
Authentication
Remote
Medium
No required
Confidentiality impact
Integrity impact
Availability impact
Partial
None
None
Affected software
Elastic -> Azure repository 

 References:
https://discuss.elastic.co/t/elastic-stack-6-3-0-and-5-6-10-security-update/135777
https://www.elastic.co/community/security

Copyright 2020, cxsecurity.com

 

Back to Top